Get Node Diff
curl --request GET \
--url https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"target_commit_id": "<string>",
"added": [
{
"entity_type": "<string>",
"entity_id": "<string>",
"entity_key": "<string>",
"object_id": "<string>",
"old_object_id": "<string>",
"new_object_id": "<string>"
}
],
"removed": [
{
"entity_type": "<string>",
"entity_id": "<string>",
"entity_key": "<string>",
"object_id": "<string>",
"old_object_id": "<string>",
"new_object_id": "<string>"
}
],
"modified": [
{
"entity_type": "<string>",
"entity_id": "<string>",
"entity_key": "<string>",
"object_id": "<string>",
"old_object_id": "<string>",
"new_object_id": "<string>"
}
],
"node_id": "<string>",
"base_commit_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Node History
Get Node Diff
Get diff between two commits for a node.
GET
/
orgs
/
{org_id}
/
nodes
/
{node_id}
/
diff
/
{commit_a}
..
{commit_b}
Get Node Diff
curl --request GET \
--url https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"target_commit_id": "<string>",
"added": [
{
"entity_type": "<string>",
"entity_id": "<string>",
"entity_key": "<string>",
"object_id": "<string>",
"old_object_id": "<string>",
"new_object_id": "<string>"
}
],
"removed": [
{
"entity_type": "<string>",
"entity_id": "<string>",
"entity_key": "<string>",
"object_id": "<string>",
"old_object_id": "<string>",
"new_object_id": "<string>"
}
],
"modified": [
{
"entity_type": "<string>",
"entity_id": "<string>",
"entity_key": "<string>",
"object_id": "<string>",
"old_object_id": "<string>",
"new_object_id": "<string>"
}
],
"node_id": "<string>",
"base_commit_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Response model for commit diff.
Target commit ID
Added entities
Show child attributes
Show child attributes
Removed entities
Show child attributes
Show child attributes
Modified entities
Show child attributes
Show child attributes
Node ID (if node-specific)
Base commit ID